:root {
  --color-primary: #010A26;
  --color-white: #fff;
  --border-radius: 40px;
  --gap-main: 40px;
  --gap-form: 20px;
  --max-width-section: 1200px;
}

.team-page-potential{
  max-width: 1320px;
  margin: 160px auto 40px;
  padding: 0 20px;
  text-align: center;
}

.team-page-potential-first{
  color: white;
  font-size: 32px;
  font-weight: 400;
}

.team-page-potential-gradient{
  background: linear-gradient(90deg, #F9F9F9 0%,#D9D9D9 50%, #00D8FF 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  display: inline-block;
  font-size: 32px;
  font-weight: 400;
}

.team-page-contact {
  position: relative;
}

.team-page-contact article:not(:last-child) {
  margin-bottom: 40px;
}

.team-page-contact p {
  color: var(--color-primary);
  margin: 8px 0;
  font-size: 16px;
}

.team-page-contact-form {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  max-width: var(--max-width-section);
  width: 100%;
  background-color: var(--color-white);
  margin: 0 auto;
  padding: 60px;
  border-radius: var(--border-radius);
  box-sizing: border-box;
  gap: var(--gap-main);
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.05);
}

.team-contact-text {
  font-size: clamp(15px, 1.2vw, 18px);
  line-height: 1.7;
  margin-bottom: 20px;
  flex: 1 1 45%;
  min-width: 280px;
}

.team-contact-text .phone-number,
.team-contact-text .email {
  display: flex;
  align-items: center;
  gap: 10px;
}

#email,
#lastname,
#firstname {
  height: 56px;
  color: var(--color-primary);
  border-color: #969696;
  border-radius: 16px;
}

#message {
  resize: none;
  height: 174px;
  color: var(--color-primary);
  border-color: #969696;
  border-radius: 16px;
}

#email::placeholder,
#lastname::placeholder,
#firstname::placeholder,
#message::placeholder {
  color: #969696;
}

.contact-form label {
  color: var(--color-primary);
  font-weight: 500;
}

.team-contact-text .first-title {
  font-size: clamp(20px, 1.1vw, 18px);
  color: black;
  font-weight: 500;
  margin-bottom: 5px;
}

.team-page-contact-btn {
  position: absolute;
  bottom: 0px;
  right: 0px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 30px;
  font-size: clamp(14px, 1vw, 16px);
  border-radius: var(--border-radius);
  cursor: pointer;
  transition: all 0.3s ease;
  color: var(--color-white);
  background-color: var(--color-primary);
  border: 1px solid var(--color-primary);
  text-decoration: none;
  margin-top: 15px;
}

.team-page-contact-btn:hover {
  background-color: var(--color-white);
  color: var(--color-primary);
}

.contact-form {
  display: flex;
  flex-direction: column;
  gap: var(--gap-form);
  flex: 1 1 50%;
  min-width: 280px;
  box-sizing: border-box;
}

.form-group {
  display: flex;
  flex-direction: column;
  gap: 16px;
  font-size: 20px;
}

.form-name-inputs {
  display: flex;
  flex-direction: row;
  gap: var(--gap-form);
  flex-wrap: wrap;
}

.form-name-inputs > div {
  flex: 1;
}

.form-name-inputs input,
.form-email-input input,
.form-message-input textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid black;
  border-radius: 8px;
  font-size: 16px;
  outline: none;
  box-sizing: border-box;
  transition: border 0.2s ease;
}

.form-name-inputs input:focus,
.form-email-input input:focus,
.form-message-input textarea:focus {
  border-color: var(--color-primary);
}

.form-message-input textarea {
  resize: vertical;
  min-height: 100px;
}

@media (max-width: 1024px) {
  .team-page-contact-form {
    flex-direction: column-reverse;
    align-items: center;
    padding: 40px;
    width: calc(100% - 60px);
    margin: 0 auto;
    position: relative;
    padding-bottom: 150px;
  }

  .team-page-contact {
    position: initial;
  }

  .team-page-contact-btn {
    bottom: 40px;
    right: 40px;
  }

  .team-page-form {
    width: 100%;
    align-self: stretch;
  }

  .team-page-form {
    width: 100%;
    display: flex;
    justify-content: center;
  }

  .team-page-contact {
    display: flex;
  }

  .team-contact-text,
  .contact-form {
    flex: 1 1 100%;
    max-width: 600px;
  }

  .form-name-inputs {
    justify-content: space-between;
  }
}

@media (max-width: 768px) {
  .team-page-contact-form {
    flex-direction: column-reverse;
    margin: 40 auto 0;
    padding: 30px;
    width: calc(100% - 120px);
    padding-bottom: 130px;
  }

  .team-page-contact {
    position: initial;
  }

  .team-contact-text {
    font-size: 15px;
  }

  .team-page-contact-btn {
    font-size: 14px;
    padding: 8px 25px;
  }
}

@media (max-width: 480px) {
  .team-page-contact-form {
    padding-top: 20px;
    padding-bottom: 80px;
    border-radius: 20px;
    gap: 20px;
    width: calc(100% - 30px);
    padding-left: 20px;
    padding-right: 20px;
  }

  .form-group {
    font-size: 16px;
  }

  .team-contact-text .first-title {
    font-size: clamp(16px, 1.1vw, 18px);
  }

  .contact-info {
    font-size: 14px;
  }

  .team-page-contact {
    max-width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: left;
    flex-wrap: wrap;
  }

  .team-contact-text {
    font-size: 14px;
  }

  .team-page-contact-btn {
    width: fit-content;
    text-align: center;
    font-size: 14px;
    padding: 8px 26px;
    bottom: 25px;
    left: 30px;
  }

  .form-name-inputs {
    flex-direction: column;
  }
}

@media (max-width: 360px) {
  .team-page-contact-form {
    padding-top: 15px;
    padding-bottom: 60px;
    width: calc(100% - 20px);
  }

  .team-contact-text,
  .contact-form {
    width: 100%;
    max-width: 100%;
    padding: 0 5px;
  }

  input,
  textarea {
    font-size: 14px;
    padding: 8px;
  }

  .team-page-contact-btn {
    font-size: 13px;
    padding: 7px 20px;
    bottom: 15px;
    left: 15px;
  }
}
